<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.4.0" name="org.eclipse.sensinact.gateway.southbound.http.callback.HttpCallbackWhiteboard" configuration-policy="require" configuration-pid="sensinact.http.callback.whiteboard" init="2">
  <property name="base.uri" type="String" value="&lt;NOT SET&gt;"/>
  <property name="osgi.http.whiteboard.servlet.pattern" type="String">/southbound/callback/*</property>
  <service>
    <provide interface="jakarta.servlet.Servlet"/>
  </service>
  <reference name="$001" interface="org.osgi.service.servlet.runtime.HttpServiceRuntime" parameter="1"/>
  <reference name="Callback" cardinality="0..n" policy="dynamic" interface="org.eclipse.sensinact.gateway.southbound.http.callback.api.HttpCallback" bind="addCallback" unbind="removeCallback"/>
  <implementation class="org.eclipse.sensinact.gateway.southbound.http.callback.HttpCallbackWhiteboard"/>
</scr:component>
